function [ targetData, targetDirections ] = scenario02( samplingFrequency, timeDuration )
%SCENARIO02
% Target #1:
%   - Bearing: 30 degrees
%   - Strength: 0 dB
%   - Pings: HFM (fs/18, fs/8), CW (fs/6)
%

targetBearings = [20]*pi/180;
targetStrengths = [0];
noOfTargets = length(targetBearings);

targetDirections = [cos(targetBearings), sin(targetBearings)];

noOfTimeSamples = round(timeDuration * samplingFrequency);

targetData = zeros(noOfTimeSamples, noOfTargets);

targetData(:, 1) = pingerTarget( targetStrengths(1), noOfTimeSamples, samplingFrequency, {'HFM' 'CW'}, samplingFrequency * [1/18, 1/8; 1/6, 1/6]' );


targetData = fft(targetData);
targetData(1, :) = 0;
targetData(noOfTimeSamples/2+1, :) = 0;
targetData = real(ifft(targetData));

end

