function [ targetData, targetDirections ] = scenario04( samplingFrequency, timeDuration )
%SCENARIO01
% Test case for passive sonar.
% Target #1:
%   - Bearing: 30.29 degrees
%   - Strength: 0 dB
%   - Pings: CW (fs/4)
%

targetBearings = [30.29]*pi/180;
targetStrengths = [0];
noOfTargets = length(targetBearings);

targetDirections = [cos(targetBearings), sin(targetBearings)];

noOfTimeSamples = round(timeDuration * samplingFrequency);

targetData = zeros(noOfTimeSamples, noOfTargets);

targetData(:, 1) = pingerTarget( targetStrengths(1), noOfTimeSamples, samplingFrequency, {'HFM'}, samplingFrequency * [1/18, 1/4]' );

targetData = fft(targetData);
targetData(1, :) = 0;
targetData(noOfTimeSamples/2+1, :) = 0;
targetData = real(ifft(targetData));

end

