function [  targetData, targetDirections ] = scenario07( samplingFrequency, timeDuration )
%SCENARIO07
% Test case for passive sonar.
% Target #3:
%   - Bearing: 30 degrees
%   - Strength: 20 dB
%   - Pings: HFM [25kHz to 30kHz]
%

targetBearings = [30]*pi/180;
targetStrengths = [20];
noOfTargets = length(targetBearings);

targetDirections = [cos(targetBearings), sin(targetBearings)];

noOfTimeSamples = round(timeDuration * samplingFrequency);

targetData = zeros(noOfTimeSamples, noOfTargets);

targetData(:, 1) = pingerTarget( targetStrengths(1), noOfTimeSamples, samplingFrequency, {'NA','HFM','NA'}, [0, 0; 25000, 30000; 0, 0]' );

targetData = fft(targetData);
targetData(1, :) = 0;
targetData(noOfTimeSamples/2+1, :) = 0;
targetData = real(ifft(targetData));

end
