function [ sensorPositions, sensorSpacing ] = ULA( noOfSensors, directionVector)
% Creates uniform linear array with sensors in 2 dimensions.
%
% noOfSensors -- number of sensors.
% directionVector -- direction along the array; scalar indicates along x-axis.

if ( nargin < 3 )
    startPosition = [0; 0];
end

if ( length(directionVector) == 1 )
    directionVector = [directionVector; 0];
end

sensorIndices = (0:noOfSensors-1);
sensorPositions = directionVector * sensorIndices;

sensorSpacing = norm(directionVector);

end
