function [solution, duration] = solveL1(A, b)
% This functions solves L1 norm minimization problem by using linear programming.

startTime = time;

[noOfEquations, noOfUnknowns] = size(A);

% The L1 problem is converted to a LP program by doubling the number of variables to account for negativites.
weights = ones(2*noOfUnknowns, 1);

lb = [];
ub = [];
ctype = [];
vartype = [];
param.tmlim = log2(noOfEquations)*log2(noOfUnknowns)/20;

solution = glpk( weights, [A, -A], b, lb, ub, ctype, vartype, 1, param );
solution = solution(1:noOfUnknowns) - solution(noOfUnknowns+1:end);

duration = time - startTime;
