function [ pulse ] = CW( frequency, samplingFrequency, noOfSamples, phase )
% Creates a CW pulse with unit amplitude.
%
% frequency - normalized frequency (= desired frequency / samplingFrequency)
% noOfSamples - length of pulse.

f0 = frequency;
Fs = samplingFrequency;
N = noOfSamples;

t = (0:N-1)' / Fs;

if ( nargin < 4 )
    phase = rand*2*pi;
end

pulse = exp(2*pi*1i*f0*t + 1i*phase);

end

