function [ pulse ] = LFM( startFrequency, stopFrequency, samplingFrequency, noOfSamples, phase )
% Creates a LFM pulse with unit amplitude.

f0 = startFrequency;
f1 = stopFrequency;
Fs = samplingFrequency;
N = noOfSamples;

t = (0:N-1)' / Fs;
k = (f1 - f0) / (N/Fs);

if ( nargin < 5 )
    phase = rand*2*pi;
end

pulse = exp(2*pi*1i*(f0 + 0.5*k*t).*t + 1i*phase);

end

